/**************************************************************************
*   a file conversion program to convert text files from a dos enviorment *
*   to a binary file which can be read by a Mac enviorment, if the files  *
*   are transmitted electronically                                        *
*   By Ron Liechty  copywright  10/19/91  all rights reserved             *
**************************************************************************/

#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NBYTES 80

int signoff(void);

void main(int argc, char *argv[])
{

    char text_file[NBYTES];                         /* text file    */
    char bi_file[NBYTES];                           /*  binary file */
    FILE *txt, *bin;
    char ch;

  if (argc == 3) {
     strcpy(text_file, argv[2]);
     strcpy(bi_file, argv[1]);
  }
  else   {                                   /*  get file information  */
   puts("you didn't name the binary file to open on the command line");
   printf("please enter the complete name of the file you wish to copy:  ");
   puts(" ");
   gets(bi_file);
   printf("please enter the complete name of the file you wish to create:  ");
   puts(" ");
   gets(text_file);
  }
						     /* open files  */
  if((txt = fopen(text_file, "r")) != NULL) {
     printf("%s already exists\nterminating program",text_file);
     fclose(txt);
     exit(1);
  }
  if((bin = fopen(bi_file, "rb")) == NULL) {
     printf("cannot open %s for operation", bi_file);
     exit(1);
  }
  if((txt = fopen(text_file, "w")) == NULL)  {
     printf("cannot create %s for operation", text_file);
     exit(1);
  }

  while(!feof(bin)) {                                  /* copy files  */
    ch = getc(bin);
    if(ch == '\x0D') ch = '\n';
    if(!feof(bin)) putc(ch,txt);
  }
  fclose(txt);                                          /* close files  */
  fclose(bin);

  exit(signoff());
}

int signoff(void)                                /*  blow your own horn */
{
   int i;

   for(i = 0; i < 12; i++) puts(" ");
   puts("         Thank you for using my file transfering system");
   puts("                a product of SYSIPHUS SOFTWARE");
   for(i = 0; i < 12; i++) puts(" ");
   printf("press any key to exit");

   while(1) if (kbhit()) return 0;
}
